# Version 1.0.0
FROM openjdk:8u302-jdk-oracle

MAINTAINER LarryKoo "root@iamsee.com"
# The environment variable
ENV APP_NAME="railway-admin"
ENV APP_VERSION=""
ENV JAVA_OPTS=""
ENV SPRINGBOOT_OPTS="--spring.profiles.active=prod"

EXPOSE 2021


COPY $APP_NAME/target/$APP_NAME.jar /app.jar
ENTRYPOINT exec java $JAVA_OPTS -Djava.security.egd=file:/dev/./urandom -jar /app.jar $SPRINGBOOT_OPTS